succd
====

A little daemon for monitoring the SEM. This is a temporary solution that runs on a BeagleBone Enhanced (`succbone.lab`) and *SHOULD* be replaced with a proper PLC/SCADA system and general process control in the future.

Features:

1. Monitors the state of the Pirani gauge via the BBE's builtin ADC.
2. Allows enabling/disabling the diffusion/roughing pumps (builtin controller always keeps them enabled).
3. Allows for simulating vent/pumpdown button presses.

Accessing at the lab
---

Go to [succbone.lab.fa-fo.de](http://succbone.lab.fa-fo.de).

Known issues
---

Sometimes the websocket doesn't connect. Refreshing the page a few times should fix it.

Running locally
---

```
$ go run . -fake
```

Then point your browser to localhost:8080

Deploying on the succbone
---

```
$ ssh root@succbone systemctl stop succd
$ GOARCH=arm go build .
$ scp succd root@succbone:/usr/bin/succd
$ ssh root@succbone systemctl start succd
```
